Building the okta widget - having issues

We need to make some small modifications to collect some additional data on user logins.
We plan to inject a small service/proxy to grab the extra data process, then pass the rest of the request on to okta proper.

We planed on just making a small modification to a couple of the payloads to include our extra data and have the widget function as is.

I cloned the 5.1 version of the sign on widget from git,

executed yarn install

There are a lot of warnings and issue - a lot of “This version has been deprecated” messages as well.

Is this expected? Seems concerning. especially since Yarn start is not working.

The playground is not working - Some kind of loop is happening and dev tools console

I think this is the main culprit
Content Security Policy of your site blocks the use of ‘eval’ in JavaScript

(anonymous) @ global.js:13
webpack_require @ bootstrap a9fcc75aa47c28143489:19
(anonymous) @ okta-sign-in.js:17403
webpack_require @ bootstrap a9fcc75aa47c28143489:19
(anonymous) @ well-known-symbol.js:1
webpack_require @ bootstrap a9fcc75aa47c28143489:19
(anonymous) @ well-known-symbol-wrapped.js:1
webpack_require @ bootstrap a9fcc75aa47c28143489:19
(anonymous) @ define-well-known-symbol.js:3
webpack_require @ bootstrap a9fcc75aa47c28143489:19
(anonymous) @ es.symbol.iterator.js:1
webpack_require @ bootstrap a9fcc75aa47c28143489:19
(anonymous) @ iterator.js:1
webpack_require @ bootstrap a9fcc75aa47c28143489:19
(anonymous) @ iterator.js:1
webpack_require @ bootstrap a9fcc75aa47c28143489:19
(anonymous) @ iterator.js:1
webpack_require @ bootstrap a9fcc75aa47c28143489:19
(anonymous) @ typeof.js:1
webpack_require @ bootstrap a9fcc75aa47c28143489:19
(anonymous) @ es6.symbol.js:2
webpack_require @ bootstrap a9fcc75aa47c28143489:19
(anonymous) @ index.js:1
webpack_require @ bootstrap a9fcc75aa47c28143489:19
(anonymous) @ noConflict.js:3
webpack_require @ bootstrap a9fcc75aa47c28143489:19
(anonymous) @ index.js:3
webpack_require @ bootstrap a9fcc75aa47c28143489:19
(anonymous) @ okta-sign-in.js:61071
webpack_require @ bootstrap a9fcc75aa47c28143489:19
(anonymous) @ bootstrap a9fcc75aa47c28143489:62
(anonymous) @ bootstrap a9fcc75aa47c28143489:62
webpackUniversalModuleDefinition @ universalModuleDefinition:9
(anonymous) @ universalModuleDefinition:10
Show 4 more frames
main.js:17 Uncaught ReferenceError: OktaSignIn is not defined
at renderPlaygroundWidget (main.js:17)
at Object. (main.js:91)
at webpack_require (bootstrap 80cc122179e20663e015:19)
at Object. (global.js:21)
at webpack_require (bootstrap 80cc122179e20663e015:19)
at bootstrap 80cc122179e20663e015:62
at bootstrap 80cc122179e20663e015:62

@PMishorich Would you like to try the latest version 5.1.4?


If you still encounter the same issue, I suggest you post the question under issues here.